SystemOrganization addCategory: #DungeonCrawlBuilder!

Object subclass: #Roadmap
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DungeonCrawlBuilder'!

!Roadmap commentStamp: 'SergioFedi 12/11/2018 19:39' prior: 0!
Class: I represent the roadmap of the Dungeon Crawl Builder project and package.

Responsibility: I list the work that is considered, that is currently under way and that has been done.

Collaborators: None, yet
!

!Roadmap methodsFor: 'as yet unclassified' stamp: 'SergioFedi 12/11/2018 19:43'!
scrapBook

	   ^'
party = AdventuringParty 
	with: Fighter new
	with: Rogue new
	with: Cleric new
	with: Wizard new.
challenges = ChallengeFactory for: party amountPerChar: 2 playerChallenges: #(3 2 0).
crawl = DungeonCrawl from: challenges.

Domains
Party, Characters, capabilities -> Dungeon Crawl capabilities
Players, experience, exploration, empower, overcoming, investigating, figuring out
Challenges, player challenges, character challenges
Obstacles -> Dungeon Crawl obstacles, Player obstacles
Spatial structure, Narrative structure,
Dungeon Crawl
'! !
